//
//  SCEvent.h
//  SCRecognizerSDK
//
//  Created by Jeff Lee on 2021. 11. 6..
//  Copyright © 2017 Infosonic. All rights reserved.
//

#ifndef SCEvent_h
#define SCEvent_h

//SCEvent
typedef NS_ENUM(NSInteger, SCEvent) {
    Info,                //동작 정보 이벤트
    Warning,             //주의를 요하는 이벤트
    Error                //문제가 발생했음을 알리는 이벤트
};

//SCEventCode
typedef NS_ENUM(NSInteger, SCEventCode) {
    //Error
    LicenseNotFound,       //유니크 아이디에 맞는 라이센스 없음
    LicenseServerNotConnected,    //라이선스 관리 서버 접속 안됨
    LicenseServerError,    //라이선스 관리 서버 오류
    InitializingFailed,    //모듈 초기화 실패
    MICAccessFailed,       //마이크 사용을 위한 접근 실패 (no access grant or mic disabled)
    AlreadyRunning,        //모듈 이미 동작중
    Timeout,               //코드 인식 타임 아웃

    //Info
    Start,                 //소닉코드 인식 모듈 시작
    Stop,                  //소닉코드 인식 모듈 중지

    //Warning
    BuiltInMICNotInUse,    //내장 마이크가 사용되지 않음
};

#endif /* SCEvent_h */
